ドキュメント本文へスキップ
API

エクスポートを取得する

状態と進み具合付きの、1 件のエクスポート。

GET/exports/{id}

実際の呼び出しをワークスペースに対して実行します。

GET /exports/{id}

状態と進み具合付きの、1 件のエクスポート。

例

threads:read が必要。status は queued、running、ready、failed、expired のいずれかで、running の間は phase と threadsDone が進み具合を示す。

curl
curl "$OE/exports/exp_8c1e4a7f2b9d3e6a0c5f1b28" -H "$AUTH"
レスポンス
{  "object": "export",  "id": "exp_8c1e4a7f2b9d3e6a0c5f1b28",  "status": "ready",  "phase": null,  "createdAt": "2026-09-30T09:12:44.000Z",  "createdBy": { "name": "Ana Lima", "email": "[email protected]" },  "startedAt": "2026-09-30T09:12:46.000Z",  "finishedAt": "2026-09-30T09:31:02.000Z",  "expiresAt": "2027-09-30T09:31:02.000Z",  "sizeBytes": 1840233472,  "fileName": "acme_20260930_093102.zip",  "threadsDone": 18420,  "threadsTotal": 18420,  "error": null}

不明な ID は 404 になる。

リファレンス